﻿@model ContosoUniversity.DTO.LuotViPhamDTO
<style>
    .popup-addnew-luotvipham {
        position: relative;
        margin: 0 auto;
        top: 10%;
        width: 1150px;
    }

    .thongtinvipham {
        border: 1px solid #000000;
        margin-bottom: 10px;
    }

    .addnew_file {
        width: 445px;
        height: 76px;
        padding-left: 30px;
        padding-right: 30px;
    }

    .addnew_loaivipham {
        width: 445px;
        height: 76px;
        padding-left: 30px;
        padding-right: 30px;
    }

    .addnew_noidungvipham {
        width: 650px;
        height: 76px;
        padding-left: 30px;
        padding-right: 30px;
    }

    .input-addnew-noidung {
        height: 115px;
    }

    .input-thongtinchuthe {
        width: 445px;
        height: 76px;
        padding-left: 30px;
        padding-right: 30px;
    }

    .thongtinchuthe {
        border: 1px solid #000000;
        margin-bottom: 10px;
    }

    .addnew_linkvipham {
        width: 650px;
        height: 76px;
        padding-left: 30px;
        /*padding-right: 30px;*/
    }

    .btnCreateLinkViPham {
        padding-left: 25px;
        padding-right: 25px;
        padding-top: 25px;
    }
</style>
@using (Ajax.BeginForm("SaveChuTheVaLuotViPham", "LuotViPham", null@*new { id = @ViewBag.id }*@,
new AjaxOptions
{
HttpMethod = "POST",
OnSuccess = "OnSuccess",
//OnFailure = "OnFailure",
//LoadingElementId = "progress"
}, new { enctype = "multipart/form-data", id = "frmUploader" }))
{
<div class="modal-dialog  modal-xl">
    <div class="modal-content">
        <div class="modal-header">
            <h4 class="modal-title" id="upload-avatar-title">Tạo mới</h4>
            <button type="button" class="close" id="btncloseupload">×</button>
        </div>
        <div class="modal-body">
            <div>
                Thông tin vi phạm
            </div>
            <div class="thongtinvipham">
                <table>
                    <tr>
                        <td class="addnew_noidungvipham">
                            @Html.LabelFor(x => x.NoiDungViPham, htmlAttributes: new { @class = "control-label" })
                            @Html.TextAreaFor(x => x.NoiDungViPham, new { @class = "form-control input-addnew-noidung" })

                        </td>
                        <td>
                            <table>
                                <tr>
                                    <td class="addnew_file">
                                        @Html.LabelFor(x => x.TenFiles, htmlAttributes: new { @class = "control-label" })
                                        @*@Html.EditorFor(x => x.TenFile, new { htmlAttributes = new { @class = "form-control" } })*@
                                        @Html.TextBoxFor(x => x.TenFiles, "", new { @class = "form-control", @type = "file", @multiple = "multiple" })
                                    </td>
                                </tr>
                                <tr>
                                    <td class="addnew_loaivipham">
                                        @Html.LabelFor(x => x.LoaiViPham, htmlAttributes: new { @class = "control-label" })
                                        @Html.EditorFor(x => x.LoaiViPham, new { htmlAttributes = new { @class = "form-control" } })

                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                <table id="table_linkhanhvivipham">
                    <tr>
                        <td class="col-md-11 addnew_linkvipham">
                            @Html.LabelFor(x => x.LinkHanhViViPham, htmlAttributes: new { @class = "control-label" })
                            @Html.EditorFor(x => x.LinkHanhViViPham, new { htmlAttributes = new { @class = "form-control text-input-linkhanhvivipham" } })
                        </td>
                        <td class="col-md-1 btnCreateLinkViPham">
                            <a class="btn btn-primary" href="javascript:ThemLink()" id="LinkViPham">
                                @*<i class="fa-solid fa-plus"></i> Thêm sự cố*@ +
                            </a>
                        </td>
                    </tr>

                </table>
            </div>
            <div>
                Thông tin chủ thể
            </div>
            <div class="thongtinchuthe">
                <table>
                    <tr>
                        <td class="input-thongtinchuthe">
                            @Html.LabelFor(x => x.TenChuThe, htmlAttributes: new { @class = "" })
                            @Html.EditorFor(x => x.TenChuThe, new { htmlAttributes = new { @class = "form-control" } })
                        </td>
                        <td class="input-thongtinchuthe">
                            @Html.LabelFor(x => x.DiaChi, htmlAttributes: new { @class = "" })
                            @Html.EditorFor(x => x.DiaChi, new { htmlAttributes = new { @class = "form-control" } })
                        </td>
                        <td class="input-thongtinchuthe">
                            @Html.LabelFor(x => x.SDT, htmlAttributes: new { @class = "" })
                            @Html.EditorFor(x => x.SDT, new { htmlAttributes = new { @class = "form-control" } })
                        </td>
                    </tr>
                    <tr>
                        <td class="input-thongtinchuthe">
                            @Html.LabelFor(x => x.ThongTinWebsite, htmlAttributes: new { @class = "" })
                            @Html.EditorFor(x => x.ThongTinWebsite, new { htmlAttributes = new { @class = "form-control" } })
                        </td>
                        <td class="input-thongtinchuthe">
                            @Html.LabelFor(x => x.ThongTinFacebook, htmlAttributes: new { @class = "" })
                            @Html.EditorFor(x => x.ThongTinFacebook, new { htmlAttributes = new { @class = "form-control" } })
                        </td>
                        <td class="input-thongtinchuthe">
                            @Html.LabelFor(x => x.ThongTinZalo, htmlAttributes: new { @class = "" })
                            @Html.EditorFor(x => x.ThongTinZalo, new { htmlAttributes = new { @class = "form-control" } })
                        </td>
                    </tr>
                    <tr>
                        <td class="input-thongtinchuthe">
                            @Html.LabelFor(x => x.Email, htmlAttributes: new { @class = "" })
                            @Html.EditorFor(x => x.Email, new { htmlAttributes = new { @class = "form-control" } })
                        </td>
                        <td class="input-thongtinchuthe">
                            @Html.LabelFor(x => x.NguoiDaiDienPhapLuat, htmlAttributes: new { @class = "" })
                            @Html.EditorFor(x => x.NguoiDaiDienPhapLuat, new { htmlAttributes = new { @class = "form-control" } })
                        </td>
                        <td class="input-thongtinchuthe">
                            @Html.LabelFor(x => x.GiayPhepKinhDoanh, htmlAttributes: new { @class = "" })
                            @Html.EditorFor(x => x.NguoiDaiDienPhapLuat, new { htmlAttributes = new { @class = "form-control" } })
                        </td>
                    </tr>
                </table>
            </div>
            <div style="display:block; float:right">
                <input type="submit" value="Lưu" class="btn btn-primary" />
                <button type="button" class="btn btn-danger" id="btnUploadCancel">Đóng</button>
            </div>
        </div>
    </div>
</div>
}




<script>
    $('#btnUploadCancel').click(function () {
        $('#addnew_luotvipham').modal('toggle');
    });
    $('#btncloseupload').click(function () {
        $('#addnew_luotvipham').modal('toggle');
    });
    //function OnSuccess(data) {
    //    debugger;
    //    if (data.isvalid == true) {
    //        toastr.success(data.mess);
    //        $('#addnew_luotvipham').modal('toggle');

    //    } else {
    //        toastr.error(data.mess);
    //    }
    //}
    //function OnFailure(data) {
    //    debugger;
    //    toastr.error(data.mess);
    //}
    function ThemLink() {
        var table = document.getElementById("table_linkhanhvivipham");
        var row = table.insertRow(-1);
        //var cell1 = row.insertCell(0);
        row.innerHTML = '<td class="col-md-11 addnew_linkvipham"> <input type="text" class="form-control text-input-linkhanhvivipham" /> </td>';
        var link_Elements = document.querySelectorAll('.text-input-linkhanhvivipham');
        for (var i = 0; i < link_Elements.length; i++) {
            link_Elements[i].id = 'LinkHanhViViPham-' + i;
            link_Elements[i].setAttribute('name', 'LinkHanhViViPham');
        }

    }
</script>
